--- old/usr/src/pkg/manifests/service-network-network-servers.mf	2017-05-26 19:24:32.337233943 -0400
+++ new/usr/src/pkg/manifests/service-network-network-servers.mf	2017-05-26 19:24:32.371515088 -0400
@@ -25,90 +25,10 @@
 #
 
 set name=pkg.fmri value=pkg:/service/network/network-servers@$(PKGVERS)
-set name=pkg.description \
-    value="Remote Network Server Commands (includes finger, talk, rwho commands)"
+set name=pkg.description value="Berkeley Remote Network Server Commands"
+set name=pkg.renamed value=true
 set name=pkg.summary value="Remote Network Server Commands"
-set name=info.classification value=org.opensolaris.category.2008:System/Core
 set name=variant.arch value=$(ARCH)
-dir path=etc group=sys
-dir path=lib
-dir path=lib/svc
-dir path=lib/svc/manifest group=sys
-dir path=lib/svc/manifest/network group=sys
-dir path=lib/svc/manifest/network/rpc group=sys
-dir path=usr group=sys
-dir path=usr/bin
-dir path=usr/lib
-dir path=usr/lib/netsvc group=sys
-dir path=usr/lib/netsvc/rstat group=sys
-dir path=usr/lib/netsvc/rusers group=sys
-dir path=usr/lib/netsvc/rwall group=sys
-dir path=usr/lib/netsvc/spray group=sys
-dir path=usr/sbin
-dir path=usr/share/man
-dir path=usr/share/man/man1
-dir path=usr/share/man/man1m
-dir path=usr/share/man/man4
-file path=lib/svc/manifest/network/comsat.xml group=sys mode=0444
-file path=lib/svc/manifest/network/finger.xml group=sys mode=0444
-file path=lib/svc/manifest/network/login.xml group=sys mode=0444
-file path=lib/svc/manifest/network/rexec.xml group=sys mode=0444
-file path=lib/svc/manifest/network/rpc/rstat.xml group=sys mode=0444
-file path=lib/svc/manifest/network/rpc/rusers.xml group=sys mode=0444
-file path=lib/svc/manifest/network/rpc/spray.xml group=sys mode=0444
-file path=lib/svc/manifest/network/rpc/wall.xml group=sys mode=0444
-file path=lib/svc/manifest/network/shell.xml group=sys mode=0444
-file path=lib/svc/manifest/network/talk.xml group=sys mode=0444
-file path=usr/bin/finger mode=0555
-file path=usr/bin/rwho mode=0555
-file path=usr/bin/talk mode=0555
-file path=usr/lib/netsvc/rstat/rpc.rstatd mode=0555
-file path=usr/lib/netsvc/rusers/rpc.rusersd mode=0555
-file path=usr/lib/netsvc/rwall/rpc.rwalld mode=0555
-file path=usr/lib/netsvc/spray/rpc.sprayd mode=0555
-file path=usr/sbin/in.comsat mode=0555
-file path=usr/sbin/in.fingerd mode=0555
-file path=usr/sbin/in.rexecd mode=0555
-file path=usr/sbin/in.rlogind mode=0555
-file path=usr/sbin/in.rshd mode=0555
-file path=usr/sbin/in.rwhod mode=0555
-file path=usr/sbin/in.talkd mode=0555
-file path=usr/share/man/man1/finger.1
-file path=usr/share/man/man1/rwho.1
-file path=usr/share/man/man1/talk.1
-file path=usr/share/man/man1m/in.comsat.1m
-file path=usr/share/man/man1m/in.fingerd.1m
-file path=usr/share/man/man1m/in.rexecd.1m
-file path=usr/share/man/man1m/in.rlogind.1m
-file path=usr/share/man/man1m/in.rshd.1m
-file path=usr/share/man/man1m/in.rwhod.1m
-file path=usr/share/man/man1m/in.talkd.1m
-file path=usr/share/man/man1m/rpc.rstatd.1m
-file path=usr/share/man/man1m/rpc.rusersd.1m
-file path=usr/share/man/man1m/rpc.rwalld.1m
-file path=usr/share/man/man1m/rpc.sprayd.1m
-file path=usr/share/man/man4/hosts.equiv.4
-legacy pkg=SUNWrcmdr desc="Remote Network Server Commands (Root)" \
-    name="Remote Network Server Commands (Root)"
-legacy pkg=SUNWrcmds \
-    desc="Remote Network Server Commands (includes finger, talk, rwho commands)" \
-    name="Remote Network Server Commands (Usr)"
-license cr_Sun license=cr_Sun
-license lic_CDDL license=lic_CDDL
-license usr/src/cmd/cmd-inet/usr.sbin/THIRDPARTYLICENSE.comsat \
-    license=usr/src/cmd/cmd-inet/usr.sbin/THIRDPARTYLICENSE.comsat
-license usr/src/cmd/cmd-inet/usr.sbin/THIRDPARTYLICENSE.rlogind \
-    license=usr/src/cmd/cmd-inet/usr.sbin/THIRDPARTYLICENSE.rlogind
-link path=etc/rmt target=../usr/sbin/rmt
-link path=usr/share/man/man1m/comsat.1m target=in.comsat.1m
-link path=usr/share/man/man1m/fingerd.1m target=in.fingerd.1m
-link path=usr/share/man/man1m/rexecd.1m target=in.rexecd.1m
-link path=usr/share/man/man1m/rlogind.1m target=in.rlogind.1m
-link path=usr/share/man/man1m/rshd.1m target=in.rshd.1m
-link path=usr/share/man/man1m/rstatd.1m target=rpc.rstatd.1m
-link path=usr/share/man/man1m/rusersd.1m target=rpc.rusersd.1m
-link path=usr/share/man/man1m/rwalld.1m target=rpc.rwalld.1m
-link path=usr/share/man/man1m/rwhod.1m target=in.rwhod.1m
-link path=usr/share/man/man1m/sprayd.1m target=rpc.sprayd.1m
-link path=usr/share/man/man1m/talkd.1m target=in.talkd.1m
-link path=usr/share/man/man4/rhosts.4 target=hosts.equiv.4
+depend fmri=network/finger type=require
+depend fmri=network/talk type=require
+depend fmri=service/network/rsh type=require
--- /dev/null	2017-05-26 19:24:33.000000000 -0400
+++ new/usr/src/pkg/manifests/service-network-rsh.mf	2017-05-26 19:24:33.299929473 -0400
@@ -0,0 +1,66 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+#
+
+set name=pkg.fmri value=pkg:/service/network/rsh@$(PKGVERS)
+set name=pkg.description value="Berkeley Remote Shell Server Commands"
+set name=pkg.summary value="Remote Shell Server Commands"
+set name=info.classification value=org.opensolaris.category.2008:System/Core
+set name=variant.arch value=$(ARCH)
+dir path=etc group=sys
+dir path=lib
+dir path=lib/svc
+dir path=lib/svc/manifest group=sys
+dir path=lib/svc/manifest/network group=sys
+dir path=lib/svc/manifest/network/rpc group=sys
+dir path=usr group=sys
+dir path=usr/bin
+dir path=usr/lib
+dir path=usr/lib/netsvc group=sys
+dir path=usr/sbin
+dir path=usr/share/man
+dir path=usr/share/man/man1
+dir path=usr/share/man/man1m
+dir path=usr/share/man/man4
+file path=lib/svc/manifest/network/login.xml group=sys mode=0444
+file path=lib/svc/manifest/network/rexec.xml group=sys mode=0444
+file path=lib/svc/manifest/network/shell.xml group=sys mode=0444
+file path=usr/sbin/in.rexecd mode=0555
+file path=usr/sbin/in.rlogind mode=0555
+file path=usr/sbin/in.rshd mode=0555
+file path=usr/share/man/man1m/in.rexecd.1m
+file path=usr/share/man/man1m/in.rlogind.1m
+file path=usr/share/man/man1m/in.rshd.1m
+file path=usr/share/man/man4/hosts.equiv.4
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
+license usr/src/cmd/cmd-inet/usr.sbin/THIRDPARTYLICENSE.rlogind \
+    license=usr/src/cmd/cmd-inet/usr.sbin/THIRDPARTYLICENSE.rlogind
+link path=etc/rmt target=../usr/sbin/rmt
+link path=usr/share/man/man1m/rexecd.1m target=in.rexecd.1m
+link path=usr/share/man/man1m/rlogind.1m target=in.rlogind.1m
+link path=usr/share/man/man1m/rshd.1m target=in.rshd.1m
+link path=usr/share/man/man4/rhosts.4 target=hosts.equiv.4
+
--- old/usr/src/pkg/manifests/service-network-uucp.mf	2017-05-26 19:24:33.871343736 -0400
+++ new/usr/src/pkg/manifests/service-network-uucp.mf	2017-05-26 19:24:33.906630847 -0400
@@ -113,7 +113,6 @@
 file path=usr/sbin/in.uucpd group=uucp mode=0555
 file path=usr/share/man/man1c/ct.1c
 file path=usr/share/man/man1c/cu.1c
-file path=usr/share/man/man1c/rup.1c
 file path=usr/share/man/man1c/uucp.1c
 file path=usr/share/man/man1c/uuencode.1c
 file path=usr/share/man/man1c/uuglist.1c
--- old/usr/src/pkg/manifests/system-header.mf	2017-05-26 19:24:34.822334571 -0400
+++ new/usr/src/pkg/manifests/system-header.mf	2017-05-26 19:24:34.874210020 -0400
@@ -627,7 +627,6 @@
 file path=usr/include/project.h
 file path=usr/include/protocols/dumprestore.h
 file path=usr/include/protocols/routed.h
-file path=usr/include/protocols/rwhod.h
 file path=usr/include/protocols/timed.h
 file path=usr/include/pthread.h
 file path=usr/include/pw.h
--- old/usr/src/pkg/manifests/system-library.man3rpc.inc	2017-05-26 19:24:36.091300392 -0400
+++ new/usr/src/pkg/manifests/system-library.man3rpc.inc	2017-05-26 19:24:36.125096026 -0400
@@ -14,5 +14,6 @@
 file path=usr/share/man/man3rpc/rstat.3rpc
 file path=usr/share/man/man3rpc/rusers.3rpc
 file path=usr/share/man/man3rpc/rwall.3rpc
+file path=usr/share/man/man3rpc/spray.3rpc
 link path=usr/share/man/man3rpc/havedisk.3rpc target=rstat.3rpc
 link path=usr/share/man/man3rpc/rnusers.3rpc target=rusers.3rpc
--- old/usr/src/pkg/manifests/system-library.man3socket.inc	2017-05-26 19:24:37.020871880 -0400
+++ new/usr/src/pkg/manifests/system-library.man3socket.inc	2017-05-26 19:24:37.055533274 -0400
@@ -52,7 +52,6 @@
 file path=usr/share/man/man3socket/sockaddr.3socket
 file path=usr/share/man/man3socket/socket.3socket
 file path=usr/share/man/man3socket/socketpair.3socket
-file path=usr/share/man/man3socket/spray.3socket
 link path=usr/share/man/man3socket/accept4.3socket target=accept.3socket
 link path=usr/share/man/man3socket/endnetent.3socket \
     target=getnetbyname.3socket
--- old/usr/src/ucbcmd/Makefile	2017-05-26 19:24:37.986798276 -0400
+++ new/usr/src/ucbcmd/Makefile	2017-05-26 19:24:38.040846576 -0400
@@ -121,8 +121,6 @@
 	renice		\
 	rlogin		\
 	rsh		\
-	ruptime		\
-	rwho		\
 	script		\
 	tail		\
 	talk		\
